Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.meta
Class AbstractManagedType.ElementTypeFilter<X,E>

    java.lang.Object
      org.apache.openjpa.persistence.meta.AbstractManagedType.ElementTypeFilter<X,E>

All Implemented Interfaces:
  AbstractManagedType.Filter<Attribute<? super X,?>>

Enclosing class:
  AbstractManagedType<X>

    public static final class AbstractManagedType.ElementTypeFilter<X,E>

extends Object
implements AbstractManagedType.Filter<Attribute<? super X,?>>

Selects plural attribute of given element type. null element type imply any element type.

Constructor Summary
`AbstractManagedType.ElementTypeFilter(Class<E> eType)`
`AbstractManagedType.ElementTypeFilter(Class<E> eType, boolean inverted)`

Method Summary
`AbstractManagedType.ElementTypeFilter<X,E>` | `inverse()`
`boolean` | `selects(Attribute<? super X,?> attr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractManagedType.ElementTypeFilter

    public AbstractManagedType.ElementTypeFilter(Class<E> eType)

### AbstractManagedType.ElementTypeFilter

    public AbstractManagedType.ElementTypeFilter(Class<E> eType,
                                                 boolean inverted)

Method Detail

### selects

    public boolean selects(Attribute<? super X,?> attr)

  Specified by:
    `selects` in interface `AbstractManagedType.Filter<Attribute<? super X,?>>`

### inverse

    public AbstractManagedType.ElementTypeFilter<X,E> inverse()

  Specified by:
    `inverse` in interface `AbstractManagedType.Filter<Attribute<? super X,?>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.